org.deidentifier.arx.gui.view.impl.common.table

## Class CTConfiguration

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.table.CTConfiguration

    public class CTConfiguration
    extends java.lang.Object

Configuration for component data table

Author:
  Fabian Prasser

### Field Summary

Fields
`static int` `COLUMN_HEADER_LAYOUT_DEFAULT` Field
`static int` `COLUMN_HEADER_LAYOUT_FILL` Field
`static int` `COLUMN_HEADER_LAYOUT_FILL_EQUAL` Field
`static int` `ROW_HEADER_LAYOUT_DEFAULT` Field
`static int` `ROW_HEADER_LAYOUT_FILL` Field
`static int` `STYLE_GRID` Field
`static int` `STYLE_TABLE` Field

### Constructor Summary

Constructors
Constructor and Description
`CTConfiguration(org.eclipse.swt.widgets.Control parent, int style)` Creates a new grid or table.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColumnHeaderLayout()`
`org.eclipse.swt.graphics.Font` `getFont()`
`int` `getHorizontalAlignment()`
`int` `getRowHeaderLayout()`
`int` `getStyle()`
`boolean` `isCellSelectionEnabled()`
`boolean` `isColumnSelectionEnabled()`
`boolean` `isRowSelectionEnabled()`
`void` `setCellSelectionEnabled(boolean cellSelectionEnabled)`
`void` `setColumnHeaderLayout(int columnHeaderLayout)`
`void` `setColumnSelectionEnabled(boolean columnSelectionEnabled)`
`void` `setFont(org.eclipse.swt.graphics.Font font)`
`void` `setHorizontalAlignment(int horizontalAlignment)`
`void` `setRowHeaderLayout(int rowHeaderLayout)`
`void` `setRowSelectionEnabled(boolean rowSelectionEnabled)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COLUMN_HEADER_LAYOUT_DEFAULT

    public static final int COLUMN_HEADER_LAYOUT_DEFAULT

Field

See Also:
  Constant Field Values

#### COLUMN_HEADER_LAYOUT_FILL_EQUAL

    public static final int COLUMN_HEADER_LAYOUT_FILL_EQUAL

Field

See Also:
  Constant Field Values

#### COLUMN_HEADER_LAYOUT_FILL

    public static final int COLUMN_HEADER_LAYOUT_FILL

Field

See Also:
  Constant Field Values

#### ROW_HEADER_LAYOUT_DEFAULT

    public static final int ROW_HEADER_LAYOUT_DEFAULT

Field

See Also:
  Constant Field Values

#### ROW_HEADER_LAYOUT_FILL

    public static final int ROW_HEADER_LAYOUT_FILL

Field

See Also:
  Constant Field Values

#### STYLE_TABLE

    public static final int STYLE_TABLE

Field

See Also:
  Constant Field Values

#### STYLE_GRID

    public static final int STYLE_GRID

Field

See Also:
  Constant Field Values

### Constructor Detail

#### CTConfiguration

    public CTConfiguration(org.eclipse.swt.widgets.Control parent,
                           int style)

Creates a new grid or table.

Parameters:
  `parent` -
  `style` -

### Method Detail

#### getColumnHeaderLayout

    public int getColumnHeaderLayout()

Returns:

#### getFont

    public org.eclipse.swt.graphics.Font getFont()

Returns:

#### getHorizontalAlignment

    public int getHorizontalAlignment()

Returns:

#### getRowHeaderLayout

    public int getRowHeaderLayout()

Returns:

#### getStyle

    public int getStyle()

Returns:

#### isCellSelectionEnabled

    public boolean isCellSelectionEnabled()

Returns:

#### isColumnSelectionEnabled

    public boolean isColumnSelectionEnabled()

Returns:

#### isRowSelectionEnabled

    public boolean isRowSelectionEnabled()

Returns:

#### setCellSelectionEnabled

    public void setCellSelectionEnabled(boolean cellSelectionEnabled)

Parameters:
  `cellSelectionEnabled` -

#### setColumnHeaderLayout

    public void setColumnHeaderLayout(int columnHeaderLayout)

Parameters:
  `columnHeaderLayout` -

#### setColumnSelectionEnabled

    public void setColumnSelectionEnabled(boolean columnSelectionEnabled)

Parameters:
  `columnSelectionEnabled` -

#### setFont

    public void setFont(org.eclipse.swt.graphics.Font font)

Parameters:
  `font` -

#### setHorizontalAlignment

    public void setHorizontalAlignment(int horizontalAlignment)

Parameters:
  `horizontalAlignment` -

#### setRowHeaderLayout

    public void setRowHeaderLayout(int rowHeaderLayout)

Parameters:
  `rowHeaderLayout` -

#### setRowSelectionEnabled

    public void setRowSelectionEnabled(boolean rowSelectionEnabled)

Parameters:
  `rowSelectionEnabled` -